POST
Create an enterprise for an organization
Create an enterprise in the specified organization. Also create a user if it doesn't already exist. This endpoint is intended for creating enterprises in Crypto-as-a-Service (CaaS) organizations. For non-CaaS organizations, set isCaaS to false to skip validation.
Path Params
-
organizationIdstring required
Body Params
object
-
emailstring required -
idempotencyKeystring requiredA unique identifier for the enterprise creation request. Multiple enterprises with the same organizationId and idempotencyKey will not be created. -
additionalAdminsarray of strings required -
isCaaSbooleanIndicates if this is a Crypto-as-a-Service (CaaS) organization. If set to true, validates that the organization configuration is complete before creating child enterprises. -
accountTypestring enumThe account type for the enterprise. Defaults to 'individual' if not specified.individualentity -
thirdPartyIdentifierarray of objectsthirdPartyIdentifier object
-
idstring requiredIdentifier of the third party -
labelstring requiredLabel for the third party
-
Responses
200
OK
Response Body
object
-
enterpriseIdstring required -
userIdstring required
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
409
Conflict
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id